Public Attributes | List of all members
ble_gap_scan_param_t Struct Reference
BLE » Generic Access Profile (GAP) » Generic Access Profile (GAP) Management » Structures

Parameters for legacy scanning. More...

`#include <ble_gapm.h>`

## Public Attributes
ble_gap_scan_type_t | scan_type
| Active scanning or passive scanning. More...
ble_gap_scan_mode_t | scan_mode
| Scan mode. More...
ble_gap_scan_dup_filt_policy_t | scan_dup_filt
| Duplicate filter policy. More...
bool | use_whitelist
| Filter policy. More...
uint16_t | interval
| Scan interval between 0x0004 and 0x4000 in 0.625 ms (range: 2.5 ms to 10.24s). More...
uint16_t | window
| Scan window between 0x0004 and 0x4000 in 0.625 ms (range: 2.5 ms to 10.24s). More...
uint16_t | timeout
| Scan timeout should be a value between 0x0001 and 0xFFFF(unit: 10 ms). More...

## Detailed Description

Parameters for legacy scanning.

Definition at line 616 of file ble_gapm.h.

## Member Data Documentation

## ◆ interval

uint16_t ble_gap_scan_param_t::interval

Scan interval between 0x0004 and 0x4000 in 0.625 ms (range: 2.5 ms to 10.24s).

Definition at line 622 of file ble_gapm.h.

## ◆ scan_dup_filt

ble_gap_scan_dup_filt_policy_t ble_gap_scan_param_t::scan_dup_filt

Duplicate filter policy.

Definition at line 620 of file ble_gapm.h.

## ◆ scan_mode

ble_gap_scan_mode_t ble_gap_scan_param_t::scan_mode

Scan mode.

Definition at line 619 of file ble_gapm.h.

## ◆ scan_type

ble_gap_scan_type_t ble_gap_scan_param_t::scan_type

Active scanning or passive scanning.

Definition at line 618 of file ble_gapm.h.

## ◆ timeout

uint16_t ble_gap_scan_param_t::timeout

Scan timeout should be a value between 0x0001 and 0xFFFF(unit: 10 ms).

0x0000 indicates that the timeout has no effect.

Definition at line 624 of file ble_gapm.h.

## ◆ use_whitelist

bool ble_gap_scan_param_t::use_whitelist

Filter policy.

Definition at line 621 of file ble_gapm.h.

## ◆ window

uint16_t ble_gap_scan_param_t::window

Scan window between 0x0004 and 0x4000 in 0.625 ms (range: 2.5 ms to 10.24s).

Definition at line 623 of file ble_gapm.h.

The documentation for this struct was generated from the following file:

- ble_gapm.h